For discussion of Alpine Linux development and developer support

4 2

[alpine-devel] [PATCH] abcde (A Better CD Encoder)

Peter Bui
Details
Message ID
<1414168134-14828-1-git-send-email-pnutzh4x0r@gmail.com>
Sender timestamp
1414168131
DKIM signature
missing
Download raw message
The following are three new aports for abcde, which is a nice wrapper script
for ripping and encoding CDs.

Note, abcde officially depends on bash, but I have a patch to make it work with
mksh.  If we are interested, I can switch that dependency.



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---

[alpine-devel] [PATCH 1/3] testing/cd-discid: new aport

Peter Bui
Details
Message ID
<1414168134-14828-2-git-send-email-pnutzh4x0r@gmail.com>
In-Reply-To
<1414168134-14828-1-git-send-email-pnutzh4x0r@gmail.com> (view parent)
Sender timestamp
1414168132
DKIM signature
missing
Download raw message
Patch: +40 -0
http://linukz.org/cd-discid.shtml
A backend utility to get CDDB discid information from a CD-ROM disc

Needed for abcde.
---
 testing/cd-discid/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/cd-discid/APKBUILD

diff --git a/testing/cd-discid/APKBUILD b/testing/cd-discid/APKBUILD
new file mode 100644
index 0000000..dd5fc59
--- /dev/null
+++ b/testing/cd-discid/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
+# Maintainer:
+pkgname=cd-discid
+pkgver=1.4
+pkgrel=0
+pkgdesc="A backend utility to get CDDB discid information from a CD-ROM disc"
+url="http://linukz.org/cd-discid.shtml"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://linukz.org/download/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" PREFIX=/usr install || return 1
+}
+
+md5sums="85027b71d08fbbfb11ac2f0db6e8cea7  cd-discid-1.4.tar.gz"
+sha256sums="ffd68cd406309e764be6af4d5cbcc309e132c13f3597c6a4570a1f218edd2c63  cd-discid-1.4.tar.gz"
+sha512sums="04f3962f7f3f0780c41b2f361397b54efe9c9748643d83311d63f7476d28f9bd295b96dd81f06df2c1e7d6ef095c6732107101c0fb7375fa521f4db67a3984da  cd-discid-1.4.tar.gz"
-- 
2.1.2



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---

[alpine-devel] [PATCH 2/3] testing/py-eyed3: new aport

Peter Bui
Details
Message ID
<1414168134-14828-3-git-send-email-pnutzh4x0r@gmail.com>
In-Reply-To
<1414168134-14828-1-git-send-email-pnutzh4x0r@gmail.com> (view parent)
Sender timestamp
1414168133
DKIM signature
missing
Download raw message
Patch: +52 -0
http://eyed3.nicfit.net/
A Python module and program for processing information about mp3 files

Needed for abcde.
---
 testing/py-eyed3/APKBUILD       | 45 +++++++++++++++++++++++++++++++++++++++++
 testing/py-eyed3/eyeD3-sh.patch |  7 +++++++
 2 files changed, 52 insertions(+)
 create mode 100644 testing/py-eyed3/APKBUILD
 create mode 100644 testing/py-eyed3/eyeD3-sh.patch

diff --git a/testing/py-eyed3/APKBUILD b/testing/py-eyed3/APKBUILD
new file mode 100644
index 0000000..543111b
--- /dev/null
+++ b/testing/py-eyed3/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
+# Maintainer:
+pkgname=py-eyed3
+_pkgname=eyeD3
+pkgver=0.7.4
+pkgrel=0
+pkgdesc="A Python module and program for processing information about mp3 files"
+url="http://eyed3.nicfit.net/"
+arch="noarch"
+license="GPL"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://eyed3.nicfit.net/releases/$_pkgname-$pkgver.tgz
+	eyeD3-sh.patch"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="80d71338f53243cba1a2e2a86cde5635  eyeD3-0.7.4.tgz
+71fa0586d5521bc86778a87d5d3be924  eyeD3-sh.patch"
+sha256sums="a138e6e1fd5b8c2b7947a2d22868167ede16bb96e8e02a067951388bf1fb3000  eyeD3-0.7.4.tgz
+de5176e0d1e60854195954baf8fda6426abe5409cb5affcbd732f469b2f986f7  eyeD3-sh.patch"
+sha512sums="4e74daea9283890e3189ef03a68ce6ccd063ce21d86201e2a1d8e7d769fa2d532e8cdbcfbd02b3f04a1914bceafca8dbef6e89ba60499ebd436d57807ebd067b  eyeD3-0.7.4.tgz
+bebc7e834efe259397a397bf8024e52f41893e6eeb4a3fa2b4e00d1559fbcca27d25576dada0e10857512ac111738fdd89a3b6ae6b025b847690ba5b76fce3e4  eyeD3-sh.patch"
diff --git a/testing/py-eyed3/eyeD3-sh.patch b/testing/py-eyed3/eyeD3-sh.patch
new file mode 100644
index 0000000..1f97988
--- /dev/null
+++ b/testing/py-eyed3/eyeD3-sh.patch
@@ -0,0 +1,7 @@
+--- a/bin/eyeD3	2014-10-24 11:11:12.104828448 +0500
+@@ -1,3 +1,3 @@
+-#!/usr/bin/env bash
++#!/bin/sh
+ 
+ python -m eyed3.main "$@"
-- 
2.1.2



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---

[alpine-devel] [PATCH 3/3] testing/abcde: new aport

Peter Bui
Details
Message ID
<1414168134-14828-4-git-send-email-pnutzh4x0r@gmail.com>
In-Reply-To
<1414168134-14828-1-git-send-email-pnutzh4x0r@gmail.com> (view parent)
Sender timestamp
1414168134
DKIM signature
missing
Download raw message
Patch: +121 -0
http://code.google.com/p/abcde/

A command line CD encoder that reads your CD, downloads the track
information from a CDDB provider, and rips your CD
---
 testing/abcde/APKBUILD                  | 58 +++++++++++++++++++++++++++++++++
 testing/abcde/busybox-wget.patch        | 11 +++++++
 testing/abcde/fix-mp3-tagging.patch     | 20 ++++++++++++
 testing/abcde/less.patch                | 11 +++++++
 testing/abcde/python2-eyed3-0.7.0.patch | 21 ++++++++++++
 5 files changed, 121 insertions(+)
 create mode 100644 testing/abcde/APKBUILD
 create mode 100644 testing/abcde/busybox-wget.patch
 create mode 100644 testing/abcde/fix-mp3-tagging.patch
 create mode 100644 testing/abcde/less.patch
 create mode 100644 testing/abcde/python2-eyed3-0.7.0.patch

diff --git a/testing/abcde/APKBUILD b/testing/abcde/APKBUILD
new file mode 100644
index 0000000..56bba92
--- /dev/null
+++ b/testing/abcde/APKBUILD
@@ -0,0 +1,58 @@
+# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
+# Maintainer:
+pkgname=abcde
+pkgver=2.5.4
+pkgrel=0
+pkgdesc="A command line CD encoder that reads your CD, downloads the track information from a CDDB provider, and rips your CD"
+url="http://code.google.com/p/abcde/"
+arch="noarch"
+license="GPL2"
+depends="bash cd-discid py-eyed3"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://abcde.googlecode.com/files/abcde-${pkgver}.tar.gz
+    busybox-wget.patch 
+    fix-mp3-tagging.patch
+    python2-eyed3-0.7.0.patch
+    less.patch
+"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	sed -e "s:normalize-audio:normalize:g" -i ${pkgname}
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" PREFIX=/usr install || return 1
+}
+
+md5sums="d761c5a07854ce24748be9aa10100e74  abcde-2.5.4.tar.gz
+44ceee10cdb97ef840e335bfd8004b6c  busybox-wget.patch
+ad7864e932a297fa30f33707ed26f7fc  fix-mp3-tagging.patch
+2b11319047aa5a77df417c50b1acc639  python2-eyed3-0.7.0.patch
+fe74a159830f7166222e772bd0677dd8  less.patch"
+sha256sums="85b679b970e728a986487adcbff7c51eb0e72f9fa10c4450521f8e029fa6e591  abcde-2.5.4.tar.gz
+fb23ed7c4ae3f9ecdd4e6cdb06f4ac9788e35091b3cbc1b5999e40915f6a6ae2  busybox-wget.patch
+846268428d761e7faa6a4e0fb9587f2f94d3d5a266a6053fa8ce332cfc7d3cc0  fix-mp3-tagging.patch
+214d3349237ec00810183ffa74c9bf0225356050e6ca3d761a24a6cfbcd069ea  python2-eyed3-0.7.0.patch
+2ca978abccef9dacdb62466d9a25bcbc85deff332d0b5edfddfec7b131c63052  less.patch"
+sha512sums="be3c8f697873b65888a37ea6209e161a6fc7bbe26c6e139b211b1fbcb233d3e250b21f6fad2114962ca4dcce79240e2cec51f69ce47549c737071a6122694791  abcde-2.5.4.tar.gz
+a7f5170a343f57699b3b22b5f5769bfeb356bd8f1bcaa7277e7c611dba3dd3dbf2e76f30c3b8cc8449601e87dd3f2da6c7e470a7cdb84feb50ac120a51fe90be  busybox-wget.patch
+7e7b3658cf0934b973cd019701ec732003e0c8d3c75b9d40e7ee01f31d3e2fe9368bad06a00ec9cc5faec0a9202e2b7275eb0314d6fc6b6c24d2054fcfb9e699  fix-mp3-tagging.patch
+f8be34ae7fc91f7a0c594270eff40deb58fca7b18339e06bffb465c3e9309827dc063b7e03e00581a51837c30b2fc6a87bfa2108534d5b5777171c31d09aa907  python2-eyed3-0.7.0.patch
+fe89db2ac5eadd44e608a65c843bc35345d02cfc1b54fd10bf068c9a3b9ebf56b941051a008ae859f3979cd56f9eae904bb83ac73357d6dc89b8dcf2205c1c28  less.patch"
diff --git a/testing/abcde/busybox-wget.patch b/testing/abcde/busybox-wget.patch
new file mode 100644
index 0000000..9733fbc
--- /dev/null
+++ b/testing/abcde/busybox-wget.patch
@@ -0,0 +1,11 @@
+--- a/abcde	2014-09-28 19:01:23.465895247 +0500
+@@ -3359,7 +3359,7 @@
+ 
+ if [ "$HTTPGETOPTS" = "" ] ; then
+ 	case $HTTPGET in
+-		wget) HTTPGETOPTS="-q -nv -e timestamping=off -O -";;
++		wget) HTTPGETOPTS="-q -O -";;
+ 		curl) HTTPGETOPTS="-f -s";;
+ 		fetch)HTTPGETOPTS="-q -o -";;
+ 		ftp)  HTTPGETOPTS="-a -V -o - ";;
diff --git a/testing/abcde/fix-mp3-tagging.patch b/testing/abcde/fix-mp3-tagging.patch
new file mode 100644
index 0000000..8d43e52
--- /dev/null
+++ b/testing/abcde/fix-mp3-tagging.patch
@@ -0,0 +1,20 @@
+*** ./abcde	2010-02-15 16:04:40.000000000 -0600
+--- ./abcde	2010-02-15 14:41:25.000000000 -0600
+***************
+*** 835,841 ****
+  						-A "$DALBUM" -a "$TRACKARTIST" -t "$TRACKNAME" \
+  						-y "$CDYEAR" -g "$GENREID" \
+  						-T "${TRACKNUM:-$1}/$TRACKS" \
+! 						${TPE2:+--TPE2 "$TPE2"} \
+  						"$ABCDETEMPDIR/track$1.$OUTPUT"
+  					;;
+  			esac
+--- 835,841 ----
+                                                -A "$DALBUM" -a "$TRACKARTIST" -t "$TRACKNAME" \
+                                                -y "$CDYEAR" -g "$GENREID" \
+                                                -T "${TRACKNUM:-$1}/$TRACKS" \
+!                                               ${TPE2:+--TPE2 \"$TPE2\"} \
+                                                "$ABCDETEMPDIR/track$1.$OUTPUT"
+                                        ;;
+                        esac
+
diff --git a/testing/abcde/less.patch b/testing/abcde/less.patch
new file mode 100644
index 0000000..9c516dd
--- /dev/null
+++ b/testing/abcde/less.patch
@@ -0,0 +1,11 @@
+--- a/abcde	2014-09-28 10:08:15.073608206 +0500
+@@ -233,7 +233,7 @@
+ 		$PAGER "$PAGEFILE"
+ 		# If that fails, check for less
+ 	elif [ -x /usr/bin/less ]; then
+-		/usr/bin/less -f "$PAGEFILE"
++		/usr/bin/less "$PAGEFILE"
+ 		# more should be on all UNIX systems
+ 	elif [ -x /bin/more ]; then
+ 		/bin/more "$PAGEFILE"
diff --git a/testing/abcde/python2-eyed3-0.7.0.patch b/testing/abcde/python2-eyed3-0.7.0.patch
new file mode 100644
index 0000000..ef0aa29
--- /dev/null
+++ b/testing/abcde/python2-eyed3-0.7.0.patch
@@ -0,0 +1,21 @@
+--- abcde-2.5.4/abcde	2012-09-18 15:09:31.000000000 +0200
+@@ -829,7 +829,7 @@
+ 						-a "$TRACKARTIST" -t "$TRACKNAME" -Y "$CDYEAR" \
+ 						-G "$GENREID" -n "${TRACKNUM:-$1}" \
+ 						${TRACKNUM:+-N "$TRACKS"} \
+-						${ENCODING:+--set-encoding="$ENCODING"} \
+-						${TPE2:+--set-text-frame=TPE2:"$TPE2"} \
++						${ENCODING:+--encoding "$ENCODING"} \
++						${TPE2:+--text-frame=TPE2:"$TPE2"} \
+ 						"$ABCDETEMPDIR/track$1.$OUTPUT"
+ 					;;
+@@ -3879,7 +3879,7 @@
+ 	TAGGER="$EYED3"
+ 	TAGGEROPTS="$ID3V2OPTS"
+ 	ID3SYNTAX=eyed3
+-	TAGGEROPTS="--set-encoding=utf16-LE $ID3V2OPTS"
++	TAGGEROPTS="--encoding utf16 $ID3V2OPTS"
+ fi
+ 
+ # NOGAP is specific to lame. Other encoders fail ...
-- 
2.1.2



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141030135751.2fda0505@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1414168134-14828-1-git-send-email-pnutzh4x0r@gmail.com> (view parent)
Sender timestamp
1414673871
DKIM signature
missing
Download raw message
On Fri, 24 Oct 2014 11:28:51 -0500
Peter Bui <pnutzh4x0r@gmail.com> wrote:

> The following are three new aports for abcde, which is a nice wrapper script
> for ripping and encoding CDs.
> 
> Note, abcde officially depends on bash, but I have a patch to make it work with
> mksh.  If we are interested, I can switch that dependency.
> 

there was a whitespace before newline in patch 3/3:
+    busybox-wget.patch 

I fixed that and pushed all 3.

thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---